package com.terraformersmc.terrestria.feature.trees;

import com.terraformersmc.terraform.block.ExtendedLeavesBlock;
import java.util.Random;
import java.util.Set;
import net.minecraft.class_2338;
import net.minecraft.class_2680;
import net.minecraft.class_2741;
import net.minecraft.class_2944;
import net.minecraft.class_3341;
import net.minecraft.class_3747;
import net.minecraft.class_4643;

public class PortUtil {
	public static boolean setBlockState(Set<class_2338> blocks, class_3747 world, class_2338 pos, class_2680 state, class_3341 box) {
		if (!class_2944.method_16420(world, pos) && !class_2944.method_16425(world, pos) && !class_2944.method_16422(world, pos)) {
			return false;
		} else {
			blocks.add(pos.method_10062());
			world.method_8652(pos, state, 19);
			box.method_14668(new class_3341(pos, pos));

			return true;
		}
	}

	public static boolean setLeavesWithDistance(class_3747 world, Random random, class_2338 pos, Set<class_2338> blocks, class_3341 box, class_4643 config, int distance) {
		class_2680 state = config.field_21289.method_23455(random, pos);

		if(state.method_11570(ExtendedLeavesBlock.DISTANCE)) {
			state = state.method_11657(ExtendedLeavesBlock.DISTANCE, Math.min(distance, 14));
		} else if(state.method_11570(class_2741.field_12541)) {
			state = state.method_11657(class_2741.field_12541, Math.min(distance, 7));
		}

		return setBlockState(blocks, world, pos, state, box);
	}
}
