package com.terraformersmc.terrestria.mixin;

import com.terraformersmc.terrestria.init.TerrestriaBlocks;
import net.minecraft.class_2248;
import net.minecraft.class_3031;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(class_3031.class)
public class MixinFeature {
	@Inject(method = "isDirt", at = @At("HEAD"), cancellable = true)
	private static void includeAndisol(class_2248 block, CallbackInfoReturnable<Boolean> callback) {
		if(block == TerrestriaBlocks.BASALT_DIRT || block == TerrestriaBlocks.BASALT_GRASS_BLOCK || block == TerrestriaBlocks.BASALT_PODZOL) {
			callback.setReturnValue(true);
		}
	}
}
