package com.terraformersmc.terrestria.init.helpers;

import com.terraformersmc.terraform.block.TerraformStairsBlock;
import net.fabricmc.fabric.api.block.FabricBlockSettings;
import net.minecraft.block.*;
import net.minecraft.class_2246;
import net.minecraft.class_2248;
import net.minecraft.class_2482;
import net.minecraft.class_2544;
import net.minecraft.class_3620;

public class StoneVariantBlocks {
	public class_2248 full;
	public class_2482 slab;
	public TerraformStairsBlock stairs;
	public class_2544 wall;

	private StoneVariantBlocks() {}

	public static StoneVariantBlocks register(String name, class_3620 color) {
		return register(name, name, color);
	}

	public static StoneVariantBlocks register(String name, String shapedName, class_3620 color) {
		StoneVariantBlocks blocks = new StoneVariantBlocks();

		blocks.full = TerrestriaRegistry.register(name, new class_2248(FabricBlockSettings.copy(class_2246.field_10340).materialColor(color).build()));
		blocks.slab = TerrestriaRegistry.register(shapedName + "_slab", new class_2482(FabricBlockSettings.copy(class_2246.field_10340).materialColor(color).build()));
		blocks.stairs = TerrestriaRegistry.register(shapedName + "_stairs", new TerraformStairsBlock(blocks.full, FabricBlockSettings.copy(class_2246.field_10340).materialColor(color).build()));
		blocks.wall = TerrestriaRegistry.register(shapedName + "_wall", new class_2544(FabricBlockSettings.copy(class_2246.field_10340).materialColor(color).build()));

		return blocks;
	}
}
