package com.terraformersmc.terrestria.item;

import com.terraformersmc.terraform.block.QuarterLogBlock;
import com.terraformersmc.terrestria.Terrestria;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.class_124;
import net.minecraft.class_1269;
import net.minecraft.class_1792;
import net.minecraft.class_1799;
import net.minecraft.class_1836;
import net.minecraft.class_1838;
import net.minecraft.class_1937;
import net.minecraft.class_2338;
import net.minecraft.class_2350;
import net.minecraft.class_2465;
import net.minecraft.class_2477;
import net.minecraft.class_2561;
import net.minecraft.class_2583;
import net.minecraft.class_2585;
import net.minecraft.class_2680;
import java.util.List;

public class LogTurnerItem extends class_1792 {
	public LogTurnerItem(class_1793 settings) {
		super(settings);
	}

	@Override
	public class_1269 method_7884(class_1838 context) {
		class_2338 pos = context.method_8037();
		class_1937 world = context.method_8045();

		class_2680 state = world.method_8320(pos);

		if (!(state.method_11614() instanceof class_2465)) {
			return class_1269.field_5811;
		}

		class_2350.class_2351 currentAxis = state.method_11654(class_2465.field_11459);

		if (context.method_8036() != null && context.method_8036().method_5715()) {
			if (state.method_11614() instanceof QuarterLogBlock) {
				state = state.method_11572(QuarterLogBlock.BARK_SIDE);

				// First cycle the bark side. If we return to the start, then cycle the axis too.
				if (state.method_11654(QuarterLogBlock.BARK_SIDE) == QuarterLogBlock.BarkSide.SOUTHWEST) {
					state = state.method_11572(class_2465.field_11459);
				}

				world.method_8501(pos, state);

				return class_1269.field_5812;
			} else {
				world.method_8501(pos, state.method_11572(class_2465.field_11459));

				return class_1269.field_5812;
			}
		} else {
			class_2350.class_2351 newAxis = context.method_8038().method_10166();

			if (currentAxis != newAxis) {
				world.method_8501(pos, state.method_11657(class_2465.field_11459, newAxis));

				return class_1269.field_5812;
			}
		}

		if (state.method_11614() instanceof QuarterLogBlock) {
			world.method_8501(pos, state.method_11572(QuarterLogBlock.BARK_SIDE));

			return class_1269.field_5812;
		} else {
			return class_1269.field_5811;
		}
	}

	@Override
	@Environment(EnvType.CLIENT)
	public void method_7851(class_1799 stack, class_1937 world, List<class_2561> tooltip, class_1836 context) {
		super.method_7851(stack, world, tooltip, context);

		String translation = class_2477.method_10517().method_10520("item." + Terrestria.MOD_ID + ".log_turner.tooltip");

		for(String line: translation.split("\n")) {
			tooltip.add(new class_2585(line.trim()).method_10862(new class_2583().method_10977(class_124.field_1080)));
		}
	}
}
