package com.terraformersmc.terrestria.mixin;

import com.terraformersmc.terrestria.init.TerrestriaBlocks;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

import java.util.Random;
import java.util.function.Predicate;
import net.minecraft.class_2338;
import net.minecraft.class_2680;
import net.minecraft.class_3747;
import net.minecraft.class_4658;

@Mixin(class_4658.class)
public class MixinAlterGroundTreeDecorator {
	// prepareGroundColumn
	@Inject(method = "method_23463", at = @At("HEAD"), cancellable = true)
	private void prepareGroundColumn(class_3747 world, Random random, class_2338 pos, CallbackInfo callback) {
		for(int i = 2; i >= -3; --i) {
			class_2338 posUp = pos.method_10086(i);

			Predicate<class_2680> isBasaltDirt =
					state -> state.method_11614() == TerrestriaBlocks.BASALT_DIRT ||
							state.method_11614() == TerrestriaBlocks.BASALT_GRASS_BLOCK ||
							state.method_11614() == TerrestriaBlocks.BASALT_PODZOL;

			if (world.method_16358(posUp, isBasaltDirt)) {
				world.method_8652(posUp, TerrestriaBlocks.BASALT_PODZOL.method_9564(), 18);
				callback.cancel();
				break;
			}

			if (!world.method_16358(posUp, class_2680::method_11588) && i < 0) {
				break;
			}
		}
	}
}
