package com.terraformersmc.terrestria.mixin;

import com.terraformersmc.terrestria.init.TerrestriaBlocks;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

import java.util.Random;
import net.minecraft.class_1299;
import net.minecraft.class_1429;
import net.minecraft.class_1936;
import net.minecraft.class_2338;
import net.minecraft.class_3730;

@Mixin(class_1429.class)
public class MixinAnimalEntity {
	@Inject(method = "isValidNaturalSpawn", at = @At("HEAD"), cancellable = true)
	private static void canSpawnAt(class_1299<? extends class_1429> entity, class_1936 world, class_3730 spawnType, class_2338 pos, Random random, CallbackInfoReturnable<Boolean> callbackInfo) {
		if(world.method_8320(pos.method_10074()).method_11614() == TerrestriaBlocks.BASALT_GRASS_BLOCK && world.method_22335(pos, 0) > 8) {
			callbackInfo.setReturnValue(true);
		}
	}
}
