package com.terraformersmc.terrestria.mixin;

import com.terraformersmc.terrestria.init.TerrestriaBlocks;
import net.minecraft.class_2248;
import net.minecraft.class_2338;
import net.minecraft.class_2420;
import net.minecraft.class_2680;
import net.minecraft.class_4538;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(class_2420.class)
public class MixinMushroomPlantBlock {
	@Inject(method = "canPlaceAt", at = @At("RETURN"), cancellable = true)
	private void canPlaceAt(class_2680 state, class_4538 world, class_2338 pos, CallbackInfoReturnable<Boolean> info) {
		if (!info.getReturnValue()) {
			class_2338 downPos = pos.method_10074();
			class_2680 downState = world.method_8320(downPos);
			class_2248 block = downState.method_11614();

			if (block == TerrestriaBlocks.BASALT_PODZOL) {
				info.setReturnValue(true);
			}
		}
	}
}
